package com.yonge.cooleshow.biz.dal.vo.userBindingTeacher;

import com.alibaba.fastjson.JSON;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-08
 */
public class UserBindingTeacherWrapper {

    // 学生编号
    private Long userId;

    // 昵称
    private String username;


    // 性别0女1男
    private Integer gender;

    // 年龄
    private Integer age;

    // 生日
    private Date birthdate;

    // 声部
    private String subjectName;

    // 手机号
    private String phone;

    // 是否会员 0否 1是
    private YesOrNoEnum isVip;


    // 课程数
    private Integer courseNum;

    // 已结束课时数
    private Integer endCourseNum;

    // 未开始课程数
    private Integer noStartCourseNum;

    // 绑定时间
    private Date bindingTime;

    public String jsonString() {
        return JSON.toJSONString(this);
    }
    public Long getUserId() {
        return userId;
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public YesOrNoEnum getIsVip() {
        return isVip;
    }

    public void setIsVip(YesOrNoEnum isVip) {
        this.isVip = isVip;
    }

    public Integer getCourseNum() {
        return courseNum;
    }

    public void setCourseNum(Integer courseNum) {
        this.courseNum = courseNum;
    }

    public Integer getEndCourseNum() {
        return endCourseNum;
    }

    public void setEndCourseNum(Integer endCourseNum) {
        this.endCourseNum = endCourseNum;
    }

    public Integer getNoStartCourseNum() {
        return noStartCourseNum;
    }

    public void setNoStartCourseNum(Integer noStartCourseNum) {
        this.noStartCourseNum = noStartCourseNum;
    }

    public Date getBindingTime() {
        return bindingTime;
    }

    public void setBindingTime(Date bindingTime) {
        this.bindingTime = bindingTime;
    }

    public static class CourseNum {

        // 学生id
        private Long studentId;

        // 课程数
        private String status;


        public Long getStudentId() {
            return studentId;
        }

        public void setStudentId(Long studentId) {
            this.studentId = studentId;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }
    }
}
